package service

import (
	"context"
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	oocmci "git.loafle.net/overflow/overflow_commons_go/modules/commons/interfaces"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*SensorService)(nil)))
}

type SensorService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
	oocmci.Service

	SensorConfigService *SensorConfigService `annotation:"@Inject()"`
}

func (ss *SensorService) Start() error {

	return nil
}

func (ss *SensorService) Stop(ctx context.Context) error {

	return nil
}

func (ss *SensorService) StartSensor(id int64) error {
	return nil
}

func (ss *SensorService) StopSensor(id int64) error {
	return nil
}

func (ss *SensorService) AddSensor(sensorConfigBase64 string) error {
	// ss.SensorConfigService.AddConfig()

	return nil
}

func (ss *SensorService) RemoveSensor(sensorConfigID string) error {
	return nil
}

func (ss *SensorService) UpdateSensor(id int64) error {
	return nil
}
